<!DOCTYPE html>
<html lang="en">
<head>
    
    <meta charset="utf-8">
    <title>LpOutputWeightAdjustment - Documentation</title>
    
    
    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
    <script src="scripts/nav.js" defer></script>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav >
    
    <input type="text" id="nav-search" placeholder="Search" />
    
    
    <h2><a href="index.html">Home</a></h2><h3>Objects</h3><ul><li><a href="AdjustableTransform.html">AdjustableTransform</a><ul class='members'><li data-type='member' style='display: none;'><a href="AdjustableTransform.html#costs">costs</a></li><li data-type='member' style='display: none;'><a href="AdjustableTransform.html#upsilons">upsilons</a></li></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="AdjustableTransform.html#isConnected">isConnected</a></li><li data-type='method' style='display: none;'><a href="AdjustableTransform.html#isDependent">isDependent</a></li><li data-type='method' style='display: none;'><a href="AdjustableTransform.html#df">df</a></li><li data-type='method' style='display: none;'><a href="AdjustableTransform.html#df">df</a></li><li data-type='method' style='display: none;'><a href="AdjustableTransform.html#getB">getB</a></li><li data-type='method' style='display: none;'><a href="AdjustableTransform.html#getBValues">getBValues</a></li><li data-type='method' style='display: none;'><a href="AdjustableTransform.html#adjust">adjust</a></li><li data-type='method' style='display: none;'><a href="AdjustableTransform.html#adjustWeights">adjustWeights</a></li></ul></li><li><a href="BufferedOutputWeightAdjustment.html">BufferedOutputWeightAdjustment</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="BufferedOutputWeightAdjustment.html#setValues">setValues</a></li><li data-type='method' style='display: none;'><a href="BufferedOutputWeightAdjustment.html#o">o</a></li></ul></li><li><a href="EntropyWeightAdjustment.html">EntropyWeightAdjustment</a><ul class='members'></ul></li><li><a href="LpOutputWeightAdjustment.html">LpOutputWeightAdjustment</a><ul class='members'></ul></li><li><a href="NLNTransform.html">NLNTransform</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="NLNTransform.html#createConnection">createConnection</a></li><li data-type='method' style='display: none;'><a href="NLNTransform.html#getW">getW</a></li><li data-type='method' style='display: none;'><a href="NLNTransform.html#setWeights">setWeights</a></li><li data-type='method' style='display: none;'><a href="NLNTransform.html#h">h</a></li><li data-type='method' style='display: none;'><a href="NLNTransform.html#dh">dh</a></li><li data-type='method' style='display: none;'><a href="NLNTransform.html#g">g</a></li></ul></li><li><a href="OutputWeightAdjustment.html">OutputWeightAdjustment</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="OutputWeightAdjustment.html#o">o</a></li></ul></li><li><a href="QuadLin.html">QuadLin</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="QuadLin.html#setWo">setWo</a></li><li data-type='method' style='display: none;'><a href="QuadLin.html#f">f</a></li><li data-type='method' style='display: none;'><a href="QuadLin.html#df">df</a></li><li data-type='method' style='display: none;'><a href="QuadLin.html#dw">dw</a></li></ul></li><li><a href="QuadLinOutputWeightAdjustment.html">QuadLinOutputWeightAdjustment</a><ul class='members'></ul></li><li><a href="QuadLinWeightRegularization.html">QuadLinWeightRegularization</a><ul class='members'></ul></li><li><a href="RandomOutputWeightAdjustment.html">RandomOutputWeightAdjustment</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="RandomOutputWeightAdjustment.html#o">o</a></li></ul></li><li><a href="RandomTransformInput.html">RandomTransformInput</a><ul class='members'></ul></li><li><a href="ReservoirTransform.html">ReservoirTransform</a><ul class='members'></ul></li><li><a href="Sigmoid.html">Sigmoid</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="Sigmoid.html#f">f</a></li><li data-type='method' style='display: none;'><a href="Sigmoid.html#df">df</a></li></ul></li><li><a href="Transform.html">Transform</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="Transform.html#init">init</a></li><li data-type='method' style='display: none;'><a href="Transform.html#getParameter">getParameter</a></li><li data-type='method' style='display: none;'><a href="Transform.html#asString">asString</a></li><li data-type='method' style='display: none;'><a href="Transform.html#f">f</a></li><li data-type='method' style='display: none;'><a href="Transform.html#getF">getF</a></li><li data-type='method' style='display: none;'><a href="Transform.html#getFValues">getFValues</a></li><li data-type='method' style='display: none;'><a href="Transform.html#getW">getW</a></li><li data-type='method' style='display: none;'><a href="Transform.html#getWeights">getWeights</a></li><li data-type='method' style='display: none;'><a href="Transform.html#setW">setW</a></li><li data-type='method' style='display: none;'><a href="Transform.html#setWeights">setWeights</a></li><li data-type='method' style='display: none;'><a href="Transform.html#setWeights">setWeights</a></li><li data-type='method' style='display: none;'><a href="Transform.html#getWeightsDistance">getWeightsDistance</a></li></ul></li><li><a href="TransformBuffer.html">TransformBuffer</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="TransformBuffer.html#add">add</a></li><li data-type='method' style='display: none;'><a href="TransformBuffer.html#load">load</a></li><li data-type='method' style='display: none;'><a href="TransformBuffer.html#clear">clear</a></li><li data-type='method' style='display: none;'><a href="TransformBuffer.html#get">get</a></li><li data-type='method' style='display: none;'><a href="TransformBuffer.html#getUnitCount">getUnitCount</a></li><li data-type='method' style='display: none;'><a href="TransformBuffer.html#getTimeCount">getTimeCount</a></li><li data-type='method' style='display: none;'><a href="TransformBuffer.html#getUnitSlice">getUnitSlice</a></li><li data-type='method' style='display: none;'><a href="TransformBuffer.html#getTimeSlice">getTimeSlice</a></li><li data-type='method' style='display: none;'><a href="TransformBuffer.html#getSamples">getSamples</a></li><li data-type='method' style='display: none;'><a href="TransformBuffer.html#getChannels">getChannels</a></li><li data-type='method' style='display: none;'><a href="TransformBuffer.html#asString">asString</a></li></ul></li><li><a href="TransformInput.html">TransformInput</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="TransformInput.html#setValues">setValues</a></li><li data-type='method' style='display: none;'><a href="TransformInput.html#i">i</a></li></ul></li><li><a href="TransformObserver.html">TransformObserver</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="TransformObserver.html#add">add</a></li><li data-type='method' style='display: none;'><a href="TransformObserver.html#getStat">getStat</a></li><li data-type='method' style='display: none;'><a href="TransformObserver.html#getStats">getStats</a></li><li data-type='method' style='display: none;'><a href="TransformObserver.html#plotData">plotData</a></li><li data-type='method' style='display: none;'><a href="TransformObserver.html#simulate">simulate</a></li><li data-type='method' style='display: none;'><a href="TransformObserver.html#getSpatialDivergence">getSpatialDivergence</a></li><li data-type='method' style='display: none;'><a href="TransformObserver.html#asString">asString</a></li></ul></li><li><a href="WeightAdjustment.html">WeightAdjustment</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="WeightAdjustment.html#c">c</a></li><li data-type='method' style='display: none;'><a href="WeightAdjustment.html#dc">dc</a></li></ul></li><li><a href="WeightRegularization.html">WeightRegularization</a><ul class='members'><li data-type='member' style='display: none;'><a href="WeightRegularization.html#.upsilon">upsilon</a></li></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="WeightRegularization.html#l">l</a></li></ul></li></ul>
    
</nav>

<div id="main">
    
    <h1 class="page-title">LpOutputWeightAdjustment</h1>
    

    




<section>

<header>
    
        <h2>
        
            LpOutputWeightAdjustment
        
        </h2>
        
    
</header>

<article>
    
        <div class="container-overview">
        
            

    

    <h4 class="name" id="LpOutputWeightAdjustment"><span class="type-signature"></span>new LpOutputWeightAdjustment<span class="signature">(parameters)</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Defines a input/output dynamical system tuned by backward learning.</p>
<ul>
<li>It implements the <a href="./OutputWeightAdjustment.html#c">c(·)</a> and <a href="./OutputWeightAdjustment.html#dc">dc(·)</a> method of the cost function.
<ul>
<li><code>c = sum_{nt} |o_n(t) - x_n(t)|^p / p</code> with <code>1 &lt; p &lt;= 2</code>, i.e., <code>L^p</code>, with <code>0 &lt;= c &lt;= N T M^p / p</code>, <code>|x_n(t)| &lt;= M</code>.</li>
</ul>
</li>
</ul>
<h4>Extends: <a href='./OutputWeightAdjustment.html'>OutputWeightAdjustment</a>, with all public methods available.</h4></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>parameters</code></td>
            

            <td class="type">
            
                
<span class="param-type">JSON</span>



            
            </td>

            

            

            <td class="description last"><p>Object parameter, including parent class parameters:</p>
<ul>
<li><code>d [= 2.0]</code> The criterion exponent, we must have <code>1 &lt; d &lt;= 2</code>.</li>
</ul></td>
        </tr>

    
    </tbody>
</table>



















        
        </div>
    

    

    

    
    
    

     

    

    
        <h3 class="subsection-title">Members</h3>

        
            













        
    

    

    

    
</article>

</section>




    
    
</div>

<br class="clear">

<footer>
    <div style='float: right;font-style: italic;'>2025-01-22 version.</div>
</footer>

<script>prettyPrint();</script>
<script src="scripts/polyfill.js"></script>
<script src="scripts/linenumber.js"></script>

<script src="scripts/search.js" defer></script>


<script src="scripts/collapse.js" defer></script>


</body>
</html>